/*
* Author:          Patrick-Christopher Mattulat
* Co-Author:       Claude Sonnet 4.6 (LLM)
* Company:         Lynar Studios
* E-Mail:          webmaster@lynarstudios.com
* Created:         2023-03-27
* Changed:         2026-06-23
*
* */

#include <ls-std/core/exception/NotImplementedException.hpp>
#include <string>

using ls::standard::core::Exception;
using ls::standard::core::NotImplementedException;
using std::move;
using std::string;

NotImplementedException::NotImplementedException() : Exception("NotImplementedException")
{}

NotImplementedException::NotImplementedException(const string &_message) : NotImplementedException()
{
  this->_setMessage(_message);
}

NotImplementedException::~NotImplementedException() noexcept = default;

const char *NotImplementedException::what() const noexcept
{
  return this->_getIdentifiedMessage("method is not implemented and should not be used!");
}
